.grid-template {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  width: 100%;
  background-color: #fff;
  min-height: 50px;
}
.with-borders {
  border-bottom: 1px solid #000;
}
.right-border {
  border-right: 1px solid #000;
}

.main-holder {
  display: flex;
  flex-direction: column;
  width: 100%;
  border-left: 1px solid #000;
  border-bottom: none;
}
.header {
  position: fixed;
  left: 1px;
  border: 1px solid black;
  border-left: none;
  border-right: 2px solid black;
  z-index: 9;
}
.header-btn {
  border: none;
  background-color: #fff;
  font-size: 12px;
  width: 160px;
  align-self: stretch;
  border-right: 1px solid #000;
}
.header-btn-text {
  font-size: 12px;
  text-transform: uppercase;
}
.active-header-button {
  text-decoration: underline;
}
.header-button:hover {
  text-decoration: underline;
}
.main-title {
  border-right: 1px solid #000;
  display: flex;
  align-items: center;
  justify-content: center;
  text-transform: uppercase;
  min-height: 50px;
}

.logo {
  place-self: center;
  width: 30px;
  height: 30px;
}
.filters-template {
  margin-top: 50px;
}
.filters-variants-wrapper {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  align-items: center;
  justify-content: flex-start;
  min-height: 50px;
  border-right: 1px solid #000;
}
.filter-title {
  border: none;
  cursor: pointer;
  border-right: 1px solid #000;
  align-self: stretch;
  display: flex;
  align-items: center;
  justify-content: center;
}
.glasses-image-container {
  position: relative;
  border-right: 1px solid #000;
  border-bottom: 1px solid #000;
}
.glasses-image {
  max-width: 100%;
  height: 100%;
  max-height: 480px;
}
.glass-title-wrapper {
  position: absolute;
  top: 5%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: transparent;
}

.glass-title {
  font-size: 20px;
  font-weight: 500;
  line-height: 24px;
  letter-spacing: 0.4px;
  background-color: transparent;
  text-transform: uppercase;
}
.filters-wrapper {
  grid-column: span 3;
  display: flex;
  flex-wrap: wrap;
  padding: 0 22px;
  justify-content: space-between;
  max-height: 0;
  overflow: hidden;
  border-right: 1px solid black;
  opacity: 0;
  transition: all 625ms ease 0ms;
}

.active-filters-wrapper {
  grid-column: span 3;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  max-height: 0;
  overflow: hidden;
  opacity: 0;
  transition: all 625ms ease 0ms;
  border-right: 1px solid black;
}
.active-filters-list {
  display: flex;
  padding: 15px 22px;
  justify-content: flex-start;
  flex-wrap: wrap;
  gap: 23px;
}
.filter {
  display: flex;
  align-items: center;
  gap: 10px;
  min-height: 50px;
  cursor: pointer;
}
.active-filter {
  display: flex;
  align-items: center;
  gap: 5px;
  cursor: pointer;
}
.results-title {
  display: flex;
  background-color: transparent;
  min-height: 50px;
  font-size: 13px;
  font-weight: 700;
  line-height: 16px;
  justify-self: center;
  align-self: center;
  align-items: center;
}
.clear-btn {
  justify-self: flex-end;
  border: none;
  cursor: pointer;
  background-color: transparent;
  font-size: 13px;
  font-weight: 700;
  line-height: 16px;
}
.color-wrapper {
  padding: 1px;
  border-radius: 100%;
  border: 1px solid #fff;
}
.filter:hover .color-wrapper {
  border: 1px solid black;
}
.filter:hover .filter-label {
  text-decoration: underline;
}
.active-filter-label {
  text-decoration: underline;
}
.active-filter-name {
  text-transform: uppercase;
}
.active-color-wrapper {
  border: 1px solid black;
}
.active {
  max-height: 400px;
  opacity: 1;
  border-top: 1px solid #000;
  border-bottom: none;
}
.color {
  height: 16px;
  width: 16px;
  border-radius: 100%;
}
.close-btn {
  border: none;
  background-color: transparent;
  cursor: pointer;
}
.loading-animation {
  display: none;
  padding: 20px;
  font-size: 18px;
  animation: blink 0.5s infinite alternate;
}
.sidebar {
  display: flex;
  flex-direction: column;
  position: fixed;
  width: 481px;
  background: #fff;
  height: 100vh;
  z-index: 10;
  top: 49px;
  border: 1px solid black;
  left: -481px;
  transition: all 400ms ease;
}
.sub-menu {
  z-index: 15;
}
.visible {
  left: 0;
}
.sidebar-item {
  border: none;
  cursor: pointer;
  border-bottom: 1px solid black;
  display: flex;
  padding: 20px;
  align-items: center;
  justify-content: space-between;
}
.sidebar-item-without-hover {
  border: none;
  cursor: pointer;
  border-bottom: 1px solid black;
  display: flex;
  padding: 20px;
  align-items: center;
  justify-content: space-between;
}
.sidebar-item:hover,
.sidebar-item:hover .sidebar-item-title,
.sidebar-item:hover .arrow-icon path {
  background-color: #000;
  color: #fff;
  stroke: #fff;
}
.arrow-icon {
  background-color: transparent;
}
.sidebar-item-title {
  font-weight: 700;
  font-size: 16px;
  line-height: 19px;
  text-transform: uppercase;
}

.is-loading {
  display: flex;
  align-self: center;
}

@keyframes blink {
  from {
    opacity: 0.3;
  }
  to {
    opacity: 1;
  }
}
@media only screen and (max-width: 1318px) {
  .glasses-section {
    grid-template-columns: repeat(2, 1fr);
  }
  .grid-template {
    min-height: 40px;
  }
  .filters-template {
    margin-top: 40px;
  }
  .sidebar {
    top: 39px;
  }
  .logo {
    width: 25px;
    height: 25px;
  }
}
@media only screen and (max-width: 890px) {
  .empty-tag {
    display: none;
  }
  .main-title {
    grid-column: span 3;
    border-bottom: 1px solid black;
  }
  .filters-variants-wrapper {
    grid-column: span 3;
    grid-template-columns: repeat(2, 1fr);
    border-right: none;
  }
  .glasses-image {
    max-height: 380px;
  }
}
@media only screen and (max-width: 500px) {
  .sidebar {
    width: 100%;
  }
  .glasses-section {
    grid-template-columns: repeat(1, 1fr);
  }
  .header-button {
    max-width: 90px;
  }
  .colors-filters {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 5px;
  }
}

.black {
  background-image: url(https://d1qmtpsxf7c9de.cloudfront.net/assets/filters_black_01.png?w=24);
}
.tortoise {
  background-image: url(https://d1qmtpsxf7c9de.cloudfront.net/assets/filters_tortoise_02.png?w=24);
}
.coloured {
  background-image: url(https://d1qmtpsxf7c9de.cloudfront.net/assets/filters_coloured_03.png?w=24);
}
.crystal {
  background-image: url(https://d1qmtpsxf7c9de.cloudfront.net/assets/filters_crystal_04.png?w=24);
}
.dark {
  background-image: url(https://d1qmtpsxf7c9de.cloudfront.net/assets/filters_dark_05.png?w=24);
}
.bright {
  background-image: url(https://d1qmtpsxf7c9de.cloudfront.net/assets/filters_bright_06.png?w=24);
}
